创建 windowsMalwareInformation
命名空间:microsoft.graph
重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
创建新的 windowsMalwareInformation 对象。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementConfiguration.ReadWrite.All、DeviceManagementManagedDevices.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementConfiguration.ReadWrite.All、DeviceManagementManagedDevices.ReadWrite.All |
HTTP 请求
POST /deviceManagement/windowsMalwareInformation
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 windowsMalwareInformation 对象的 JSON 表示形式。
下表显示创建 windowsMalwareInformation 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | String | 唯一标识符。 这是恶意软件 ID。 |
| displayName | String | 恶意软件名称 |
| additionalInformationUrl | String | 用于了解有关恶意软件详细信息的信息 URL |
| severity | windowsMalwareSeverity | 恶意软件的严重性。 可取值为:unknown、low、moderate、high、severe。 |
| “类别” | windowsMalwareCategory | 恶意软件的类别。 可能的值是:、 、 、 invalid adware spyware passwordStealer trojanDownloader worm backdoor remoteAccessTrojan trojan emailFlooder keylogger dialer monitoringSoftware browserModifier cookie browserPlugin aolExploit nuker securityDisabler jokeProgram hostileActiveXControl softwareBundler stealthNotifier settingsModifier toolBar remoteControlSoftware trojanFtp potentialUnwantedSoftware icqExploit trojanTelnet exploit filesharingProgram malwareCreationTool remote_Control_Software tool trojanDenialOfService trojanDropper trojanMassMailer trojanMonitoringSoftware trojanProxyServer virus known unknown spp behavior vulnerability policy enterpriseUnwantedSoftware ransom hipsRule |
| lastDetectionDateTime | DateTimeOffset | 上次检测到恶意软件的时间 |
响应
如果成功,此方法在响应正文中返回 响应代码和 201 Created windowsMalwareInformation 对象。
示例
请求
下面是一个请求示例。
POST https://graph.microsoft.com/beta/deviceManagement/windowsMalwareInformation
Content-type: application/json
Content-length: 299
{
"@odata.type": "#microsoft.graph.windowsMalwareInformation",
"displayName": "Display Name value",
"additionalInformationUrl": "https://example.com/additionalInformationUrl/",
"severity": "low",
"category": "adware",
"lastDetectionDateTime": "2016-12-31T23:59:27.3805104-08:00"
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 348
{
"@odata.type": "#microsoft.graph.windowsMalwareInformation",
"id": "8ebd2b9b-2b9b-8ebd-9b2b-bd8e9b2bbd8e",
"displayName": "Display Name value",
"additionalInformationUrl": "https://example.com/additionalInformationUrl/",
"severity": "low",
"category": "adware",
"lastDetectionDateTime": "2016-12-31T23:59:27.3805104-08:00"
}
反馈
提交和查看相关反馈